searchNodes=[{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localized display of Cldr -based data.","ref":"Cldr.HTML.html","title":"Cldr.HTML","type":"module"},{"doc":"See Cldr.HTML.Currency.select/3 .","ref":"Cldr.HTML.html#currency_select/3","title":"Cldr.HTML.currency_select/3","type":"function"},{"doc":"See Cldr.HTML.Locale.select/3 .","ref":"Cldr.HTML.html#locale_select/3","title":"Cldr.HTML.locale_select/3","type":"function"},{"doc":"See Cldr.HTML.Territory.select/3 .","ref":"Cldr.HTML.html#territory_select/3","title":"Cldr.HTML.territory_select/3","type":"function"},{"doc":"See Cldr.HTML.Unit.select/3 .","ref":"Cldr.HTML.html#unit_select/3","title":"Cldr.HTML.unit_select/3","type":"function"},{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localised currency display.","ref":"Cldr.HTML.Currency.html","title":"Cldr.HTML.Currency","type":"module"},{"doc":"Generate an HTML select tag for a currency list that can be used with a Phoenix.HTML.Form.t . Arguments A Phoenix.HTML.Form.t() form A Phoenix.HTML.Form.field() field A Keyword.t() list of options Options For select options see Phoenix.HTML.Form.select/4 :currencies defines the list of currencies to be displayed in the the select tag. The list defaults to the currencies returned by Money.known_tender_currencies/0 if the package ex_money is installed otherwise it is the list returned by Cldr.known_currencies/0 :locale defines the locale to be used to localise the description of the currencies. The default is the locale returned by Cldr.get_locale/1 :backend is any backend module. The default is Cldr.default_backend!/0 :collator is a function used to sort the currencies in the selection list. It is passed a list of maps where each map represents a t:Cldr.Currency . The default collator sorts by name_1 &lt; name_2 . As a result, default collation sorts by code point which will not return expected results for scripts other than Latin. :mapper is a function that creates the text to be displayed in the select tag for each currency. It is passed the currency definition t:Cldr.Currency as returned by Cldr.Currency.currency_for_code/2 . The default function is &amp;({&amp;1.code &lt;&gt; &quot; - &quot; &lt;&gt; &amp;1.name, &amp;1.code}) :selected identifies the currency that is to be selected by default in the select tag. The default is nil . This is passed unmodified to Phoenix.HTML.Form.select/4 :prompt is a prompt displayed at the top of the select box. This is passed unmodified to Phoenix.HTML.Form.select/4 Examples =&gt; Cldr.HTML.Currency . select ( :my_form , :currency , selected : :USD ) =&gt; Cldr.HTML.Currency . select ( :my_form , :currency , currencies : [ &quot;USD&quot; , &quot;EUR&quot; , :JPY ] , mapper : &amp; ( { &amp;1 . name , &amp;1 . code } ) )","ref":"Cldr.HTML.Currency.html#select/3","title":"Cldr.HTML.Currency.select/3","type":"function"},{"doc":"","ref":"Cldr.HTML.Currency.html#t:select_options/0","title":"Cldr.HTML.Currency.select_options/0","type":"type"},{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localised locale display.","ref":"Cldr.HTML.Locale.html","title":"Cldr.HTML.Locale","type":"module"},{"doc":"Generate an HTML select tag for a locale list that can be used with a Phoenix.HTML.Form.t . Arguments A Phoenix.HTML.Form.t() form A Phoenix.HTML.Form.field() field A Keyword.t() list of options Options For select options see Phoenix.HTML.Form.select/4 :locales defines the list of locales to be displayed in the the select tag. The list defaults to Cldr.known_locale_names/1 . If :backend is specified then the list of locales known to that backend is returned. If no :backend is specified the locales known to Cldr.default_backend!/0 is returned. :locale defines the locale to be used to localise the description of the list of locales. The default is the locale returned by Cldr.get_locale/1 If set to :identity then each locale in the :locales list will be rendered in its own locale. :backend is any backend module. The default is Cldr.default_backend!/0 :collator is a function used to sort the locales in the selection list. It is passed a list of maps where each map represents a locale. The default collator sorts by locale_1.display_name &lt; locale_2.display_name . As a result, default collation sorts by code point which will not return expected results for scripts other than Latin. :mapper is a function that creates the text to be displayed in the select tag for each locale. It is passed a map with three fields: :display_name , :locale and :language_tag . The default mapper is &amp;{&amp;1.display_name, &amp;1.locale} . See t:locale . :selected identifies the locale that is to be selected by default in the select tag. The default is nil . This is passed to Phoenix.HTML.Form.select/4 :prompt is a prompt displayed at the top of the select box. This is passed unmodified to Phoenix.HTML.Form.select/4 Notes If :locale is set to :identity then each locale in :locales will be used to render its own display name. In this case each locale in :locales must also be configured in the :backend or an error will be returned. Examples Cldr.HTML.Currency . select ( :my_form , :locale_list , selected : &quot;en&quot; ) Cldr.HTML.Currency . select ( :my_form , :locale_list , locales : [ &quot;zh-Hant&quot; , &quot;ar&quot; , &quot;fr&quot; ] , mapper : &amp; ( { &amp;1 . display_name , &amp;1 . locale } ) )","ref":"Cldr.HTML.Locale.html#select/3","title":"Cldr.HTML.Locale.select/3","type":"function"},{"doc":"","ref":"Cldr.HTML.Locale.html#t:locale/0","title":"Cldr.HTML.Locale.locale/0","type":"type"},{"doc":"","ref":"Cldr.HTML.Locale.html#t:mapper/0","title":"Cldr.HTML.Locale.mapper/0","type":"type"},{"doc":"","ref":"Cldr.HTML.Locale.html#t:select_options/0","title":"Cldr.HTML.Locale.select_options/0","type":"type"},{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localised territory display.","ref":"Cldr.HTML.Territory.html","title":"Cldr.HTML.Territory","type":"module"},{"doc":"Generate an HTML select tag for a territory list that can be used with a Phoenix.HTML.Form.t . Arguments A Phoenix.HTML.Form.t() form A Phoenix.HTML.Form.field() field A Keyword.t() list of options Options For select options see Phoenix.HTML.Form.select/4 :territories defines the list of territories to be displayed in the the select tag. The list defaults to the territories returned by Cldr.known_territories/0 . :style is the format of the territory name to be used. The options are :standard (the default), :short and :variant . Not all territories have :short or :variant names in which case :standard is used for those territories. :locale defines the locale to be used to localise the description of the territories. The default is the locale returned by Cldr.get_locale/1 :backend is any backend module. The default is Cldr.default_backend!/0 :collator is a function used to sort the territories in the selection list. It is passed a list of maps where each map represents a territory and has the keys :territory , :name and :flag . See t:territory . The default collator sorts by name_1 &lt; name_2 . As a result, default collation sorts by code point which will not return expected results for scripts other than Latin. :mapper is a function that creates the text to be displayed in the select tag for each territory. It is passed the territory definition as a t:territory map containing the keys :territory_code , :name and :flag . The default function is &amp;({&amp;1.flag &lt;&gt; &quot; &quot; &lt;&gt; &amp;1.name, &amp;1.territory_code}) :selected identifies the territory that is to be selected by default in the select tag. The default is nil . This is passed unmodified to Phoenix.HTML.Form.select/4 :prompt is a prompt displayed at the top of the select box. This is passed unmodified to Phoenix.HTML.Form.select/4 Examples Cldr.HTML.Territory . select ( :my_form , :territory , selected : :AU ) Cldr.HTML.Territory . select ( :my_form , :territory , selected : :AU , locale : &quot;ar&quot; ) Cldr.HTML.Territory . select ( :my_form , :territory , territories : [ :US , :AU , :JP ] , mapper : &amp; ( { &amp;1 . name , &amp;1 . territory_code } ) )","ref":"Cldr.HTML.Territory.html#select/3","title":"Cldr.HTML.Territory.select/3","type":"function"},{"doc":"","ref":"Cldr.HTML.Territory.html#t:select_options/0","title":"Cldr.HTML.Territory.select_options/0","type":"type"},{"doc":"Territory type passed to a collator for ordering in the select box. The default collator orders by :name using Elixir standard comparison which is by codepoint and is therefore not Unicode aware.","ref":"Cldr.HTML.Territory.html#t:territory/0","title":"Cldr.HTML.Territory.territory/0","type":"type"},{"doc":"Implements Phoenix.HTML.Form.select/4 specifically for localised unit display.","ref":"Cldr.HTML.Unit.html","title":"Cldr.HTML.Unit","type":"module"},{"doc":"Generate an HTML select tag for a unit list that can be used with a Phoenix.HTML.Form.t . Arguments A t:Phoenix.HTML.Form form A t:Phoenix.HTML.Form.field field A t:Keyword list of options Options For select options see Phoenix.HTML.Form.select/4 :units is a list of units to be displayed in the select. See Cldr.Unit.known_units/0 and Cldr.Unit.known_units_for_category/1 :style is the style of unit name to be displayed and must be one of the styles returned by Cldr.Unit.known_styles/0 . The current styles are :long, :short and :narrow. The default is style: :long. :locale defines the locale to be used to localise the description of the units. The default is the locale returned by Cldr.get_locale/0 :backend is any backend module. The default is Cldr.default_backend!/0 :collator is a function used to sort the units in the selection list. It is passed a list of tuples where each tuple is in the form {unit_display_name, unit} . The default collator sorts by name_1 &lt; name_2 . As a result, default collation sorts by code point which will not return expected results for scripts other than Latin. :mapper is a function that creates the text to be displayed in the select tag for each unit. It is passed the a tuple of the form {unit_display_name, unit} , The default is the identity function &amp;(&amp;1) . :selected identifies the unit that is to be selected by default in the select tag. The default is nil . This is passed unmodified to Phoenix.HTML.Form.select/4 :prompt is a prompt displayed at the top of the select box. This is passed unmodified to Phoenix.HTML.Form.select/4 Examples =&gt; Cldr.HTML.Unit . select ( :my_form , :unit , selected : :foot ) =&gt; Cldr.HTML.Unit . select ( :my_form , :unit , units : [ :foot , :inch ] )","ref":"Cldr.HTML.Unit.html#select/3","title":"Cldr.HTML.Unit.select/3","type":"function"},{"doc":"","ref":"Cldr.HTML.Unit.html#t:select_options/0","title":"Cldr.HTML.Unit.select_options/0","type":"type"},{"doc":"Cldr HTML Phoenix.HTML.Form.select/4 helper functions for CLDR. The functions in this library produce localised selection tags for HTML forms for: Currencies Units Territories Locales","ref":"readme.html","title":"Cldr HTML","type":"extras"},{"doc":"Cldr.HTML.Currency.select/3 . By default the currencies of the locales configured in the default backend. See also the documentation for ex_cldr_currencies . Cldr.HTML.Unit.select/3 . By default the units returned by Cldr.Unit.known_units/0 . See also the documentation for ex_cldr_units . Cldr.HTML.Territory.select/3 . By default the territories returned by Cldr.known_territories/0 . See also the documentation for ex_cldr_territories Cldr.HTML.Locale.select/3 . By default the list of locales known to Cldr.default_backend!/0 . See also the documentation for ex_cldr_locale_display . [Not Yet Implemented] Select days of the week and months of the year in a given locale.","ref":"readme.html#usage","title":"Cldr HTML - Usage","type":"extras"},{"doc":"iex&gt; Cldr.HTML.Currency . select ( :my_form , :currency , selected : :USD , currencies : ~w(usd eur jpy cop) ) |&gt; Phoenix.HTML . safe_to_string ( ) Produces, when formatted: &lt;select id=&quot;my_form_currency&quot; name=&quot;my_form[currency]&quot;&gt; &lt;option value=&quot;COP&quot;&gt;COP - Colombian Peso&lt;/option&gt; &lt;option value=&quot;EUR&quot;&gt;EUR - Euro&lt;/option&gt; &lt;option value=&quot;JPY&quot;&gt;JPY - Japanese Yen&lt;/option&gt; &lt;option value=&quot;USD&quot; selected&gt;USD - US Dollar&lt;/option&gt; &lt;/select&gt;","ref":"readme.html#currency-selection","title":"Cldr HTML - Currency selection","type":"extras"},{"doc":"iex&gt; Cldr.HTML.Unit . select ( :my_form , :units ) |&gt; Phoenix.HTML . safe_to_string ( ) Produces, when formatted: &lt;select id=my_form_units name=my_form[units]&gt; &lt;option value=acre&gt;acres&lt;/option&gt; &lt;option value=acre_foot&gt;acre-feet&lt;/option&gt; &lt;option value=ampere&gt;amperes&lt;/option&gt; &lt;option value=arc_minute&gt;arcminutes&lt;/option&gt; &lt;option value=arc_second&gt;arcseconds&lt;/option&gt; &lt;option value=astronomical_unit&gt;astronomical units&lt;/option&gt; &lt;option value=atmosphere&gt;atmospheres&lt;/option&gt; &lt;option value=bar&gt;bars&lt;/option&gt; &lt;option value=barrel&gt;barrels&lt;/option&gt; &lt;option value=bit&gt;bits&lt;/option&gt; &lt;option value=british_thermal_unit&gt;British thermal units&lt;/option&gt; &lt;option value=bushel&gt;bushels&lt;/option&gt; &lt;option value=byte&gt;bytes&lt;/option&gt; &lt;option value=calorie&gt;calories&lt;/option&gt; &lt;option value=candela&gt;candela&lt;/option&gt; &lt;option value=carat&gt;carats&lt;/option&gt; &lt;option value=celsius&gt;degrees Celsius&lt;/option&gt; .... &lt;/select&gt;","ref":"readme.html#unit-selection","title":"Cldr HTML - Unit selection","type":"extras"},{"doc":"iex&gt; Cldr.HTML.Territory . select ( :my_form , :territory , territories : [ :US , :AU , :JP ] ) |&gt; Phoenix.HTML . safe_to_string ( ) Produces, when formatted: &lt;select id=&quot;my_form_territory&quot; name=&quot;my_form[territory]&quot;&gt; &lt;option value=&quot;AU&quot;&gt;🇦🇺 Australia&lt;/option&gt; &lt;option value=&quot;JP&quot;&gt;🇯🇵 Japan&lt;/option&gt; &lt;option value=&quot;US&quot;&gt;🇺🇸 United States&lt;/option&gt; &lt;/select&gt;","ref":"readme.html#territory-selection","title":"Cldr HTML - Territory selection","type":"extras"},{"doc":"# Select from the locales configured in `Cldr.default_backend/0` and localize them # using the locale `Cldr.default_locale/0` iex&gt; Cldr.HTML.Locale . select ( :my_form , :locales ) |&gt; Phoenix.HTML . safe_to_string ( ) Produces, when formatted: &lt;select id=&quot;my_form_locales&quot; name=&quot;my_form[locales]&quot;&gt; &lt;option value=&quot;ar&quot;&gt;Arabic&lt;/option&gt; &lt;option value=&quot;zh-Hans&quot;&gt;Chinese (Simplified)&lt;/option&gt; &lt;option value=&quot;zh-Hant&quot;&gt;Chinese (Traditional)&lt;/option&gt; &lt;option value=&quot;en&quot;&gt;English&lt;/option&gt; &lt;option value=&quot;he&quot;&gt;Hebrew&lt;/option&gt; &lt;option value=&quot;th&quot;&gt;Thai&lt;/option&gt; &lt;/select&gt; # Select from the locales configured in `Cldr.default_backend/0` and localize them # using their own locale` iex&gt; Cldr.HTML.Locale . select ( :my_form , :locales , locale : :identity ) |&gt; Phoenix.HTML . safe_to_string ( ) Produces, when formatted: &lt;select id=&quot;my_form_locales&quot; name=&quot;my_form[locales]&quot;&gt; &lt;option value=&quot;en&quot;&gt;English&lt;/option&gt; &lt;option value=&quot;he&quot;&gt;עברית&lt;/option&gt; &lt;option value=&quot;ar&quot;&gt;العربية&lt;/option&gt; &lt;option value=&quot;th&quot;&gt;ไทย&lt;/option&gt; &lt;option value=&quot;zh-Hans&quot;&gt;简体中文&lt;/option&gt; &lt;option value=&quot;zh-Hant&quot;&gt;繁體中文&lt;/option&gt; &lt;/select&gt;","ref":"readme.html#locale-selection","title":"Cldr HTML - Locale selection","type":"extras"},{"doc":"Cldr.HTML can be installed by adding cldr_html to your list of dependencies in mix.exs : def deps do [ { :cldr_html , &quot;~&gt; 0.6&quot; } ] end The documentation can be found at https://hexdocs.pm/cldr_html .","ref":"readme.html#installation","title":"Cldr HTML - Installation","type":"extras"},{"doc":"The available functions depends on the configured dependencies in mix.exs : For Cldr.HTML.Currency.select/3 : { :ex_cldr_currencies , &quot;~&gt; 2.11&quot; } , For Cldr.HTML.Unit.select/3 : { :ex_cldr_units , &quot;~&gt; 3.7&quot; } , For Cldr.HTML.Locale.select/3 : { :ex_cldr_locale_display , &quot;~&gt; 1.0&quot; } , For Cldr.HTML.Territory.select/3 : { :ex_cldr_territories , &quot;~&gt; 2.2&quot; } ,","ref":"readme.html#configuration","title":"Cldr HTML - Configuration","type":"extras"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"This is the changelog for Cldr HTML v1.0.0 released on July 3rd, 2021. For older changelogs please consult the release tag on GitHub Enhancements Add Cldr.HTML.Locale.select/3 to select locales.","ref":"changelog.html#cldr_html-v1-0-0","title":"Changelog - Cldr_HTML v1.0.0","type":"extras"},{"doc":"This is the changelog for Cldr HTML v0.5.0 released on June 23rd, 2021. For older changelogs please consult the release tag on GitHub Bug Fixes Correctly sort the selection list. Thanks to @0urobor0s for the collaboration Pass options through to Phoenix.HTML.Form.select/4 . Thanks to @0urobor0s for the PR. Enhancements Adds a :collator option to the Cldr.HTML.{Unit, Territory, Currency}.select/4 . This enables a library user to implement any desired collation on the select opions before rendering.","ref":"changelog.html#cldr_html-v0-5-0","title":"Changelog - Cldr_HTML v0.5.0","type":"extras"},{"doc":"This is the changelog for Cldr HTML v0.4.0 released on June 11th, 2021. For older changelogs please consult the release tag on GitHub Bug Fixes Make ex_doc only available in :dev and :release","ref":"changelog.html#cldr_html-v0-4-0","title":"Changelog - Cldr_HTML v0.4.0","type":"extras"},{"doc":"This is the changelog for Cldr HTML v0.3.0 released on May 23rd, 2021. For older changelogs please consult the release tag on GitHub Enhancements Add Cldr.HTML.Territory.select/3 to select territories Add support for :style option in Cldr.HTML.Unit.select/3","ref":"changelog.html#cldr_html-v0-3-0","title":"Changelog - Cldr_HTML v0.3.0","type":"extras"},{"doc":"This is the changelog for Cldr HTML v0.2.0 released on February 7th, 2021. For older changelogs please consult the release tag on GitHub Enhancements Add Cldr.HTML.Unit.unit_select/3 Use Cldr.get_locale/0 not Cldr.default_locale/0 as default parameter","ref":"changelog.html#cldr_html-v0-2-0","title":"Changelog - Cldr_HTML v0.2.0","type":"extras"},{"doc":"This is the changelog for Cldr HTML v0.1.0 released on November 1st, 2020. For older changelogs please consult the release tag on GitHub Enhancements First hex release Support CLDR 38","ref":"changelog.html#cldr_html-v0-1-0","title":"Changelog - Cldr_HTML v0.1.0","type":"extras"},{"doc":"","ref":"license.html","title":"LICENSE","type":"extras"},{"doc":"Copyright 2017 Kip Cole Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http :/ / www . apache . org / licenses / LICENSE - 2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html#license","title":"LICENSE - License","type":"extras"}]